IOSS 2.0

Public Types | Public Member Functions | Protected Member Functions | Private Attributes | List of all members
Json::ValueIteratorBase Class Reference

base class for Value iterators. More...

`#include <json.h>`

## Public Types
typedef std::bidirectional_iterator_tag | iterator_category
typedef unsigned int | size_t
typedef int | difference_type
typedef ValueIteratorBase | SelfType

## Public Member Functions
| ValueIteratorBase ()
| ValueIteratorBase (const Value::ObjectValues::iterator &current)
bool | operator== (const SelfType &other) const
bool | operator!= (const SelfType &other) const
difference_type | operator- (const SelfType &other) const
Value | key () const
UInt | index () const
std::string | name () const
char const * | memberName () const
char const * | memberName (char const **end) const

## Protected Member Functions
Value & | deref () const
void | increment ()
void | decrement ()
difference_type | computeDistance (const SelfType &other) const
bool | isEqual (const SelfType &other) const
void | copy (const SelfType &other)

## Private Attributes
Value::ObjectValues::iterator | current_
bool | isNull_

## Detailed Description

base class for Value iterators.

## Member Typedef Documentation

## ◆ difference_type

typedef int Json::ValueIteratorBase::difference_type

## ◆ iterator_category

typedef std::bidirectional_iterator_tag Json::ValueIteratorBase::iterator_category

## ◆ SelfType

typedef ValueIteratorBase Json::ValueIteratorBase::SelfType

## ◆ size_t

typedef unsigned int Json::ValueIteratorBase::size_t

## Constructor & Destructor Documentation

## ◆ ValueIteratorBase() [1/2]

Json::ValueIteratorBase::ValueIteratorBase | ( |  | ) |

## ◆ ValueIteratorBase() [2/2]

Json::ValueIteratorBase::ValueIteratorBase | ( | const Value::ObjectValues::iterator & | current | ) |
| explicit

## Member Function Documentation

## ◆ computeDistance()

difference_type Json::ValueIteratorBase::computeDistance | ( | const SelfType & | other | ) | const
| protected

## ◆ copy()

void Json::ValueIteratorBase::copy | ( | const SelfType & | other | ) |
| protected

## ◆ decrement()

void Json::ValueIteratorBase::decrement | ( |  | ) |
| protected

## ◆ deref()

Value& Json::ValueIteratorBase::deref | ( |  | ) | const
| protected

## ◆ increment()

void Json::ValueIteratorBase::increment | ( |  | ) |
| protected

## ◆ index()

UInt Json::ValueIteratorBase::index | ( |  | ) | const

Return the index of the referenced Value, or -1 if it is not an arrayValue.

## ◆ isEqual()

bool Json::ValueIteratorBase::isEqual | ( | const SelfType & | other | ) | const
| protected

## ◆ key()

Value Json::ValueIteratorBase::key | ( |  | ) | const

Return either the index or the member name of the referenced value as a Value.

## ◆ memberName() [1/2]

char const* Json::ValueIteratorBase::memberName | ( |  | ) | const

Return the member name of the referenced Value. "" if it is not an objectValue.

Deprecated:
  This cannot be used for UTF-8 strings, since there can be embedded nulls.

## ◆ memberName() [2/2]

char const* Json::ValueIteratorBase::memberName | ( | char const ** | end | ) | const

Return the member name of the referenced Value, or NULL if it is not an objectValue.

Note
  Better version than memberName(). Allows embedded nulls.

## ◆ name()

std::string Json::ValueIteratorBase::name | ( |  | ) | const

Return the member name of the referenced Value, or "" if it is not an objectValue.

Note
  Avoid `c_str()` on result, as embedded zeroes are possible.

## ◆ operator!=()

bool Json::ValueIteratorBase::operator!= | ( | const SelfType & | other | ) | const
| inline

## ◆ operator-()

difference_type Json::ValueIteratorBase::operator- | ( | const SelfType & | other | ) | const
| inline

## ◆ operator==()

bool Json::ValueIteratorBase::operator== | ( | const SelfType & | other | ) | const
| inline

## Member Data Documentation

## ◆ current_

Value::ObjectValues::iterator Json::ValueIteratorBase::current_
| private

## ◆ isNull_

bool Json::ValueIteratorBase::isNull_
| private

The documentation for this class was generated from the following file:

- src/visualization/ParaViewCatalystIossAdapter/parser/jsoncpp-master/dist/json/json.h